CVE-2015-6927

NameCVE-2015-6927
Descriptionvzctl before 4.9.4 determines the virtual environment (VE) layout based on the presence of root.hdd/DiskDescriptor.xml in the VE private directory, which allows local simfs container (CT) root users to change the root password for arbitrary ploop containers, as demonstrated by a symlink attack on the ploop container root.hdd file and then access a control panel.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-3357-1
NVD severitylow (attack range: local)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
vzctl (PTS)wheezy3.0.30.2-4fixed
jessie (security), jessie4.8-1+deb8u2fixed
stretch4.9.4-3fixed
buster, sid4.9.4-5fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
vzctlsource(unstable)4.9.4-1low
vzctlsourcejessie4.8-1+deb8u2lowDSA-3357-1
vzctlsourcesqueeze(not affected)
vzctlsourcewheezy(not affected)

Notes

[wheezy] - vzctl <not-affected> (Vulnerability not present)
[squeeze] - vzctl <not-affected> (Vulnerability not present)
https://tracker.debian.org/news/711965
https://src.openvz.org/projects/OVZL/repos/vzctl/commits/9e98ea630ac0e88b44e3e23c878a5166aeb74e1c
https://plus.google.com/+OpenVZorg/posts/gidyrouNi7D
https://wiki.openvz.org/Download/vzctl/4.9.4

Search for package or bug name: Reporting problems